Roeby
Mechanical
- Sep 15, 2005
- 1
After doing alot of searching I did find the following, but can not get it to work.
Sometimes it will print 11 x 17 and other times it prints 8.5 x 11
I want it to over ride the setting in the drawing and print 11 x 17.
If anyone can help it woul greatly be appreciated.
here's the codeim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Sub main()
Dim swApp As SldWorks.SldWorks
Dim Doc As SldWorks.ModelDoc2
Dim PageSetup As Object
Set swApp = CreateObject("SldWorks.Application")
Set Doc = swApp.ActiveDoc
'get page setup
Set PageSetup = Doc.PageSetup
'set scale to fit
PageSetup.ScaleToFit = True
'set paper size (letter)
Doc.PrintSetup(0) = 17
'print drawing document
Doc.PrintDirect
End Sub
Sometimes it will print 11 x 17 and other times it prints 8.5 x 11
I want it to over ride the setting in the drawing and print 11 x 17.
If anyone can help it woul greatly be appreciated.
here's the codeim swApp As Object
Dim Part As Object
Dim boolstatus As Boolean
Dim longstatus As Long, longwarnings As Long
Sub main()
Dim swApp As SldWorks.SldWorks
Dim Doc As SldWorks.ModelDoc2
Dim PageSetup As Object
Set swApp = CreateObject("SldWorks.Application")
Set Doc = swApp.ActiveDoc
'get page setup
Set PageSetup = Doc.PageSetup
'set scale to fit
PageSetup.ScaleToFit = True
'set paper size (letter)
Doc.PrintSetup(0) = 17
'print drawing document
Doc.PrintDirect
End Sub